- Qt 6.10
- Qt Charts
- C++ Classes
- QSplineSeries
- Qt Charts | Commercial or GPLv3

# QSplineSeries Class

The QSplineSeries class presents data as spline charts. More...

Header: | `#include <QSplineSeries>`
In QML: | SplineSeries
Inherits: | QLineSeries

- List of all members, including inherited members

## Public Functions

| QSplineSeries(QObject *parent = nullptr)
virtual | ~QSplineSeries()

## Reimplemented Public Functions

virtual QAbstractSeries::SeriesType | type() const override

## Detailed Description

A spline series stores the data points and the segment control points needed by QPainterPath to draw a spline. The control points are automatically calculated when the data changes. The algorithm computes the points so that the normal spline can be drawn.

The following code snippet illustrates how to create a basic spline chart:

     QSplineSeries* series = new QSplineSeries();
     series->append(0, 6);
     series->append(2, 4);
     ...
     chart->addSeries(series);

## Member Function Documentation

### `[explicit]` QSplineSeries::QSplineSeries(QObject *parent = nullptr)

Constructs an empty series object that is a child of parent. When the series object is added to a QChart instance, the ownerships is transferred.

### `[virtual noexcept]` QSplineSeries::~QSplineSeries()

Deletes the spline series.

### `[override virtual]` QAbstractSeries::SeriesType QSplineSeries::type() const

Reimplements: QLineSeries::type() const.